#include <assert.h>
#include <stdlib.h>

#include "bdc_memory/bdc_memory.h"
#include "bdc_time.h"



struct timeval *time_difference(struct timeval *start, struct timeval *end)
{
        struct timeval *diff = malloc_or_die(sizeof(struct timeval));

        if (start->tv_sec == end->tv_sec) {
                diff->tv_sec = 0;
                diff->tv_usec = end->tv_usec - start->tv_usec;
        } else {
                diff->tv_usec = 1000000 - start->tv_usec;
                diff->tv_sec = end->tv_sec - (start->tv_sec + 1);
                diff->tv_usec += end->tv_usec;

                if (diff->tv_usec >= 1000000) {
                        diff->tv_usec -= 1000000;
                        diff->tv_sec += 1;
                }
        }

        return diff;
}


struct bdc_timer start_new_timer(void)
{
        struct bdc_timer t = {0};
        t.start_clock = clock();
        get_time(&t.start_timeval);
        return t;
}


void start_timer(struct bdc_timer *t)
{
        assert(t != NULL);
        t->start_clock = clock();
        get_time(&t->start_timeval);
}


void stop_timer(struct bdc_timer *t)
{
        assert(t != NULL);
        clock_t now = clock();

        struct timeval time_now;
        double elapsed_time;
        get_time(&time_now);
        elapsed_time = ((double) (now - t->start_clock) / CLOCKS_PER_SEC);

        t->time_normal = elapsed_time;

        double difference_real;
        struct timeval *difference;

        difference = time_difference(&t->start_timeval, &time_now);
        difference_real = (double) difference->tv_sec + (double) difference->tv_usec / (1000.0 * 1000.0);
        t->time_real = difference_real;

        free(difference);
}
